summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorZero_Chaos <zerochaos@gentoo.org>2018-10-02 14:34:37 -0400
committerZero_Chaos <zerochaos@gentoo.org>2018-10-02 15:19:46 -0400
commit3c85d38dda508f21a6158b60129f064c6c950a95 (patch)
tree89feecc3b9692dd2d5fe056bdedff5093828582c /sys-auth
parentsys-devel/llvm: Backport X86 codegen bugfix for Chromium builds (diff)
downloadgentoo-3c85d38dda508f21a6158b60129f064c6c950a95.tar.gz
gentoo-3c85d38dda508f21a6158b60129f064c6c950a95.tar.bz2
gentoo-3c85d38dda508f21a6158b60129f064c6c950a95.zip
sys-auth/yubico-piv-tool: bump
Signed-off-by: Rick Farina <zerochaos@gentoo.org> Package-Manager: Portage-2.3.50, Repoman-2.3.11
Diffstat (limited to 'sys-auth')
-rw-r--r--sys-auth/yubico-piv-tool/Manifest1
-rw-r--r--sys-auth/yubico-piv-tool/yubico-piv-tool-1.6.2.ebuild48
2 files changed, 49 insertions, 0 deletions
diff --git a/sys-auth/yubico-piv-tool/Manifest b/sys-auth/yubico-piv-tool/Manifest
index f56afecfd6f..54e39443516 100644
--- a/sys-auth/yubico-piv-tool/Manifest
+++ b/sys-auth/yubico-piv-tool/Manifest
@@ -1,2 +1,3 @@
DIST yubico-piv-tool-1.4.4.tar.gz 109397 BLAKE2B ed1299508cd5f90c662a184527ae696e7cd463b0e8d327413c8acff47d41de7393570798b9582e845262afb1780e0c759246980051a62335d7033de913147bb9 SHA512 3edc341fdbeeacfbf541adc37d0bd2b1df9777ca04e13bc1825e99a151008213b816ff811e83e623f52eb1400a8146c36a5a874fc5e26a89c9398e79a0e234e1
DIST yubico-piv-tool-1.5.0.tar.gz 179092 BLAKE2B d15eed89699989ff545f18cf54fd42349fc81862e7bb3e182fad59d0604cc9729dedcc4aaa40d3f28c1d40b78ddbb5ed073c107cb233d0fa66a17a2ef1e29d68 SHA512 10d7f7a2f163e5f61d6f7463f2124d06213506bff39f3fe0c5b361f90f8bc372de97ab1fa8d6bfcb77659f086d71f8ff536a064ee8f300a620b929ee76e8f8b9
+DIST yubico-piv-tool-1.6.2.tar.gz 182957 BLAKE2B 0ca9bdcda68f7ee100078604854caccc5141ab01e40f894ae36c3175afa3989c1d0074ef0994e1e369d67499a9778e22f0c5a3cf930d1ba162b0ee0ddbc05f91 SHA512 fc72b9d381f10b63c8958b6c90c1ee97e3ef6b5fb283a9513e6f2ace972710c2872903f38350d9e4a3576b16cb0890b067dd55f5c125f443d353df3f628a9f96
diff --git a/sys-auth/yubico-piv-tool/yubico-piv-tool-1.6.2.ebuild b/sys-auth/yubico-piv-tool/yubico-piv-tool-1.6.2.ebuild
new file mode 100644
index 00000000000..5bbb1bafd01
--- /dev/null
+++ b/sys-auth/yubico-piv-tool/yubico-piv-tool-1.6.2.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools
+
+DESCRIPTION="Command line tool for the YubiKey PIV application"
+SRC_URI="https://github.com/Yubico/yubico-piv-tool/archive/yubico-piv-tool-${PV}.tar.gz"
+HOMEPAGE="https://developers.yubico.com/yubico-piv-tool/ https://github.com/Yubico/yubico-piv-tool"
+
+LICENSE="BSD-2"
+SLOT="0/1"
+KEYWORDS="~amd64"
+IUSE="test"
+
+RDEPEND="
+ dev-libs/openssl:0=[-bindist]
+ sys-apps/pcsc-lite
+"
+DEPEND="${RDEPEND}
+ dev-util/gengetopt
+ sys-apps/help2man
+ virtual/pkgconfig
+ test? ( dev-libs/check )
+"
+
+S=${WORKDIR}/${PN}-${P}
+
+src_prepare() {
+ default
+
+ if ! use test; then
+ sed -i -e "/PKG_CHECK_MODULES(\[CHECK/d" configure.ac || die
+ sed -i -e "s/@CHECK_CFLAGS@//" -e "s/@CHECK_LIBS@//" */*/Makefile.am || die
+ fi
+
+ eautoreconf
+}
+
+src_configure() {
+ econf --disable-static
+}
+
+src_install() {
+ default
+ rm "${D}"/usr/$(get_libdir)/*.la || die
+}